Bug 966252 - Kernel Linux 3.9.2-200.fc18.x86_64 and Gnome 3.6.3 - does not detect battery
Kernel Linux 3.9.2-200.fc18.x86_64 and Gnome 3.6.3 - does not detect battery
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 17:06 EDT by BBQdave
Modified: 2014-02-05 16:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:29:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description BBQdave 2013-05-22 17:06:21 EDT
Description of problem: Kernel Linux 3.9.2-200.fc18.x86_64 and Gnome 3.6.3 does not detect battery on Toshiba Satellite c655-s5503. System Settings > Power, does not offer configuration choices of hibernation or shutdown. No battery icon on desktop.


Version-Release number of selected component (if applicable):


How reproducible: Booting Kernel Linux 3.9.2-200.fc18.x86_64 with Gnome 3.6.3


Steps to Reproduce:
1. Booting Kernel Linux 3.9.2-200.fc18.x86_64 with Gnome 3.6.3
2. System Settings > Power - no configuration choices or detection of notebook battery
3. No battery icon on desktop

Actual results: Toshiba Satellite c655-s5503 battery charges and discharges normally. Kernel Linux 3.9.2-200.fc18.x86_64 with Gnome 3.6.3 performs normally. No configuration or detection of battery by Gnome Power Manager.



Expected results: Configuration of hibernate or shutdown of system, based on power level of battery. Icon on desktop indicate battery power level. Notification pop-ups of battery power level.


Additional info: Gnome Power Manager functioned normally - detecting battery, with Kernel Linux 3.8.11-200.fc18.x86_64 and Gnome 3.6.3
Comment 1 BBQdave 2013-05-26 11:35:35 EDT
No fix with update to Kernel Linux 3.9.4-200.fc18.x86_64. Problem continuing of no detection of battery.
Comment 2 rick 2013-05-30 17:54:03 EDT
Confirming the same problem with Kernels 3.9.2-200.fc18.x86_64 and 3.9.4-200.fc18.x86_64 on a Toshiba Satellite X855-043. However, all works fine on the same machine running kernel 3.8.6-203.fc18.x86_64, and on a Toshiba Satellite Pro L650-00N running kernel 3.8.8-202.fc18.x86_64.
Comment 3 BBQdave 2013-06-12 12:11:36 EDT
Tested F19 beta with Gnome 3.8 - updated system current to today, 2013-06-12. No fix for Power Management of battery and Toshiba Satellite c655-s5503. Battery not recognized in notebook - hardware treated like desktop, so battery drain is heavier.
Comment 4 Fedora End Of Life 2013-12-21 08:40:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 16:29:41 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.